Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Cs-Cart & Multi-Vendor 4.3.6 Are Here! Rate Topic   * * * * * 1 votes

 
  • mokeshop
  • Senior Member
  • Members
  • Join Date: 27-Jul 12
  • 1016 posts

Posted 09 March 2016 - 04:46 PM #41

Guys,
 
We discovered a serious bug in v4.3.6 package, so it was updated on March 5.
If you installed or upgraded CS-Cart before March 5, please make sure you have the following code in app/Tygh/Providers/SessionProvider.php

$session->cache_limiter = 'nocache'; 
diff can be found here: https://gist.github....e9bb626f739adf4

Hello,

I hope the anoying cookie notification will be updated. Suggestion is market as feature request. But it really...

:)

 
  • amdowney
  • Senior Member
  • Members
  • Join Date: 22-Oct 14
  • 280 posts

Posted 10 March 2016 - 05:41 PM #42

I am hoping to test this now on my new dedicated server with PHP 7 option. is SUPHP OK or does that not work with OPcaching? (DSO doesn't seem to be an option in the new MultiPHPManager)


Stores: CCTV Kits & www.jmtb.co.uk

 
  • deepxtz
  • Advanced Member
  • Trial users
  • Join Date: 18-Feb 15
  • 58 posts

Posted 11 March 2016 - 09:20 AM #43

We are going to launch prototype of Invoice editor next week. This is will be a demo store with our development git branch.

The objectives of this is to get your feedback on whether we are going the right direction.

 

Some news about the prototype ? 



 
  • CS-Cart team
  • CS-Cart support team
  • Moderators
  • Join Date: 04-Apr 11
  • 3810 posts

Posted 11 March 2016 - 01:20 PM #44

Some news about the prototype ? 

 

Developer demos are already available:

CS-Cart: dev.demo.cs-cart.com/admin.php
Multivendor: dev.demo.mv.cs-cart.com/admin.php

There will be a post regarding this next week. At the moment main features are Email templates editor (Design > Email templates) and Vendor plans in Multi-Vendor demo.


Sincerely yours, CS-Cart Support Team

 

User guide       |  Developer documentation  |  Core API documentation


 
  • The Tool
  • Been Here Way Too Long Member
  • Members
  • Join Date: 30-Mar 07
  • 3920 posts

Posted 11 March 2016 - 02:53 PM #45

Does anyone who has updated to 4.3.6 know if the file comparison is back or not?

File comparison/conflicts are still not available in upgrades.



 
  • tbirnseth
  • CS Cart Expert
  • Authorized Reseller
  • Join Date: 08-Nov 08
  • 11764 posts

Posted 12 March 2016 - 08:45 AM #46

File comparison/conflicts are still not available in upgrades.

But you got all kinds of things customers never asked for....


EZ Merchant Solutions: Custom (USA based) B2B Development, Consulting, Development and Special Projects (get a quote here).
Commercial addons, payment methods and modifications to meet your business and operations needs.


 
  • Onkel_Sid
  • Junior Member
  • Members
  • Join Date: 04-Sep 10
  • 301 posts

Posted 12 March 2016 - 11:25 AM #47

Any chance you will fix the upgrade-process? In the latest versions there have been nothing but trouble. Cant remember the last time i did an upgrade without issues or errors.


Stop smoking start vaping: Dampskyen.no


 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 12 March 2016 - 04:26 PM #48

Any chance you will fix the upgrade-process? In the latest versions there have been nothing but trouble. Cant remember the last time i did an upgrade without issues or errors.

We did a lot of improvements in upgrade process. And the one in 4.3.4-4.3.6 is pretty stable.

 

So if you faced some problems during upgrade and want them to be solved it better to provide the detailed bug report and post a link to it here instead of general statement.


Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • imac
  • Head of Product
  • CS-Cart Architects
  • Join Date: 22-Nov 05
  • 2074 posts

Posted 12 March 2016 - 04:30 PM #49

File comparison/conflicts are still not available in upgrades.

It's not. 

Not sure when we are going to add this. because it will lead to another significant changes in upgrade package which is not right at the moment.

Right now we just compare MD5 hash of files from the upgrade package and we do not have the original package files anywhere - so there are no files we can diff current files with.


Ilya Makarov,
CS-Cart Architect Team
Suggest and vote for new features | Report a bug

 
  • tbirnseth
  • CS Cart Expert
  • Authorized Reseller
  • Join Date: 08-Nov 08
  • 11764 posts

Posted 12 March 2016 - 09:07 PM #50

We've been asking you to put it back since you took it away (about 2 years now).

It is critical for people to know what the differences in files are.  Especially since the "Conflicts" generated by the upgrade are not reliable/accurate and so a compare of upgraded file to previous file is absolutely critical for upgrading client sites and determining why a conflict was generated and making modification to the new file.

 

See the open bug reports about upgrade conflicts.  You're not meeting your stated resolution times.


EZ Merchant Solutions: Custom (USA based) B2B Development, Consulting, Development and Special Projects (get a quote here).
Commercial addons, payment methods and modifications to meet your business and operations needs.


 
  • Pbraz
  • Advanced Member
  • Members
  • Join Date: 26-Aug 12
  • 118 posts

Posted 31 March 2016 - 08:37 AM #51

I have tried a few times now on different days  (in case of server load issues) to  download the upgrade package in the upgrade centre and I get this error

 

"Warning Cannot download the upgrade package"

 

Any ideas on what I can do to resolve. Next stop is to report a bug or CSCART support but are there any obvious things I should check first.

 

Thanks

Paul


Paul
www.gohorse.com.au
Horse Rugs Store

 
  • CS-Cart team
  • CS-Cart support team
  • Moderators
  • Join Date: 04-Apr 11
  • 3810 posts

Posted 31 March 2016 - 09:10 AM #52

I have tried a few times now on different days  (in case of server load issues) to  download the upgrade package in the upgrade centre and I get this error

 

"Warning Cannot download the upgrade package"

 

Any ideas on what I can do to resolve. Next stop is to report a bug or CSCART support but are there any obvious things I should check first.

 

Thanks

Paul

 

Make sure that file_get_contents function is working correctly in the server. There is an example of a test script in this article:

http://docs.cs-cart....age_import.html

 

Also, please check the permissions for the var/upgrade directory.

 

If this does not help, please contact us via Customer Help Desk and provide temporary access to your server by clicking on the Add record  link on the Access information page of your Help Desk account so that we could examine the issue.


Sincerely yours, CS-Cart Support Team

 

User guide       |  Developer documentation  |  Core API documentation


 
  • Pbraz
  • Advanced Member
  • Members
  • Join Date: 26-Aug 12
  • 118 posts

Posted 31 March 2016 - 11:24 AM #53

OK, so this is what I found.

 

Permissions on /Upgrade and /Var/Upgrade is 755

 

I do get an error when I run the test script

 

Warning: file_get_contents(http://www.myurl.com...tore_closed.gif) [function.file-get-contents]: failed to open stream: HTTP request failed! HTTP/1.1 403 Forbidden in /home/mydir/public_html/test.php on line 4

 

Does that mean I have a file_get_contents disabled problem.


Paul
www.gohorse.com.au
Horse Rugs Store

 
  • cherif.noro
  • Newbie
  • Trial users
  • Join Date: 28-Mar 16
  • 14 posts

Posted 02 April 2016 - 12:01 PM #54

hello,

A vendor can get the Pending status more than once
is there any possibility to make products visible when vendor get the pending status
and just hide the 'add to cart' button and Buy now with 1-click option.
 
In this case we let coustemer browse products, prices, and characteristics but they can not buy
or replace 'add to cart' with a not 'of line stor'


 
  • Joachim
  • Advanced Member
  • Members
  • Join Date: 05-Oct 11
  • 69 posts

Posted 06 April 2016 - 06:40 PM #55

I might be stupid, but I just installed PHP 5.6.20, but is that compatible to PHP 7? So I only need to install CS-cart 4.3.6 and all is good? Or do I need to configurate some more on the server or in CS-Cart admin to get the best performance?


<p>4.4.2 Ultimate (6 storefronts)

 
  • CS-Cart team
  • CS-Cart support team
  • Moderators
  • Join Date: 04-Apr 11
  • 3810 posts

Posted 07 April 2016 - 06:06 AM #56

I might be stupid, but I just installed PHP 5.6.20, but is that compatible to PHP 7?

 

5.6.20 and 7 are different versions of PHP. For more information, please refer here: www.php.net

 

So I only need to install CS-cart 4.3.6 and all is good?

 

CS-Cart 4.3.6 is compatible with PHP 5.3.6 and higher. Please note that earlier CS-Cart versions are not adapted to PHP7.

 

Or do I need to configurate some more on the server or in CS-Cart admin to get the best performance?

 

If you want to improve performance, please upgrade your store to CS-Cart version 4.3.6 and change PHP version on your server to 7 . For more information about performance testing results please refer to our blog.


Sincerely yours, CS-Cart Support Team

 

User guide       |  Developer documentation  |  Core API documentation


 
  • mattcaswell
  • Junior Member
  • Members
  • Join Date: 06-Oct 09
  • 81 posts

Posted 16 April 2016 - 06:51 AM #57

Just upgraded to 4.3.5 and then 4.3.6 and now every time an order is placed thru paypal, it returns to my store and has the alert in the top right corner that the customer cancelled the order, but it seems the order is going thru on some and I'm getting paid.

 

I'm using web payments standard.

 

Can anyone please assist on this as this will really confuse my customers.

 

thanks in advance for your time,

Matt



 
  • mattcaswell
  • Junior Member
  • Members
  • Join Date: 06-Oct 09
  • 81 posts

Posted 16 April 2016 - 02:55 PM #58

Just upgraded to 4.3.5 and then 4.3.6 and now every time an order is placed thru paypal, it returns to my store and has the alert in the top right corner that the customer cancelled the order, but it seems the order is going thru on some and I'm getting paid.

 

I'm using web payments standard.

 

Can anyone please assist on this as this will really confuse my customers.

 

thanks in advance for your time,

Matt

UPDATE:  I never had to enable IPN before, but no that I've enabled it, the transactions seem to be completing normally.  The hard part was finding the right IPN URL so I'm including the URL I used and paypal accepted here for anyone else that might be looking for it.:

https://<YOURSTOREURLHERE>/index.php?dispatch=payment_notification.return&payment=paypal

 

Matt



 
  • mokeshop
  • Senior Member
  • Members
  • Join Date: 27-Jul 12
  • 1016 posts

Posted 23 April 2016 - 04:44 PM #59

My hopes is implementation of suggested cookie notification for 4.3.7. It's probably the most annoying thing i ever seen :P

Regards
Dzemal

 
  • ghostrider
  • Junior Member
  • Members
  • Join Date: 05-Jan 11
  • 177 posts

Posted 05 May 2016 - 01:53 AM #60

It seems 4.3.7 is on the horizon. Do you have an estimated released date of the new version? :-)